Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.thalia.bio.entity
Class Marker

    java.lang.Object
      org.thalia.bio.entity.BioEntity
          org.thalia.bio.entity.BioEntityContainer
              org.thalia.bio.entity.AlleleContainer
                  org.thalia.bio.entity.Locus
                      org.thalia.bio.entity.Marker

All Implemented Interfaces:
  IBioAdaptable, IBioEntity, IBioLocus

    public class Marker

extends Locus
implements IBioLocus

Class Description Here

Author:
  Jean-Baptiste Veyrieras

Field Summary

Fields inherited from class org.thalia.bio.entity.Locus
`position`

Fields inherited from class org.thalia.bio.entity.BioEntityContainer
`entities`

Fields inherited from class org.thalia.bio.entity.BioEntity
`name, parent, properties`

Fields inherited from interface org.thalia.bio.IBioLocus
`MARKER, QTL, TypesString`

Constructor Summary
`Marker()`
`Marker(java.lang.String name, IBioEntity parent)`

Method Summary
`IBioAdapter` | `getBioAdapter()`
`int` | `getLocusType()`
`int` | `getType()` There are 2 main class of entities.

Methods inherited from class org.thalia.bio.entity.Locus
`getGroup, getLocusAdapter, getPosition, newLocus, newLocus, setGroup, setPosition, setPosition, setPosition`

Methods inherited from class org.thalia.bio.entity.AlleleContainer
`addAllele, alleles, getAllele, getAlleleNumber, removeAllele`

Methods inherited from class org.thalia.bio.entity.BioEntityContainer
`addEntity, entities, entityNumber, getEntity, removeEntity`

Methods inherited from class org.thalia.bio.entity.BioEntity
`getName, getParent, getProperties, newBioEntity, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.thalia.bio.IBioLocus
`addAllele, alleles, getAllele, getAlleleNumber, getGroup, getPosition, removeAllele, setGroup, setPosition, setPosition, setPosition`

Methods inherited from interface org.thalia.bio.IBioEntity
`getName, getParent, getProperties, setName, setProperties`

Constructor Detail

### Marker

    public Marker()

### Marker

    public Marker(java.lang.String name,
                  IBioEntity parent)

Parameters:
  `name` -
  `parent` -

Method Detail

### getType

    public int getType()

  Description copied from interface: `IBioEntity`
  There are 2 main class of entities. The first one deals with population biological entity, i.e population itself and individuals. The second class is a representation of microscopic biological entity from genome container to alleles.

  Specified by:
    `getType` in interface `IBioEntity`
  Specified by:
    `getType` in interface `IBioLocus`
  Specified by:
    `getType` in class `AlleleContainer`

### getBioAdapter

    public IBioAdapter getBioAdapter()

  Specified by:
    `getBioAdapter` in interface `IBioAdaptable`

### getLocusType

    public int getLocusType()

  Specified by:
    `getLocusType` in interface `IBioLocus`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD